Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Layout mit Lisp erstellen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layout mit Lisp erstellen (1705 mal gelesen)
StefanW
Mitglied
Techniker


Sehen Sie sich das Profil von StefanW an!   Senden Sie eine Private Message an StefanW  Schreiben Sie einen Gästebucheintrag für StefanW

Beiträge: 146
Registriert: 17.04.2003

erstellt am: 27. Jul. 2004 15:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo !

Ich weiß, das Thema ist hier schon oft diskutiert worden, doch ich bin auf meiner Suche im Forum und auf anderen bekannten Seiten (z.B. die von Mapcar) bisher immer nur auf das Auslesen oder Modifizieren vorhandener Layouts gestoßen. Die ActiveX-Hilfe von AutoCAD bringt mich auch nicht unbedingt weiter, ich nutz diese Funktionen viel zu selten, als das ich darin firm wäre. Dort steht jedenfalls, das die Methode Layouts.Add verwendet werden soll um ein Layout zu erstellen. So weit, so gut. Von da an steh ich auf dem Schlauch.
Ich hoffe, jemand kann mir den Ansatz zeigen, wie das Problem zu lösen wäre.

Gruß Stefan 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

.

erstellt am: 27. Jul. 2004 15:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für StefanW 10 Unities + Antwort hilfreich

Ist doch schon ein prima Ansatz....

und dann :
(vl-load-com)
(defun LAYOUT-MAKE(LAYOUTNAME / LAYOUT)
  (if(not(vl-catch-all-error-p
          (setq LAYOUT(vl-catch-all-apply
                          'vla-add
                          (list
                            (vla-get-Layouts
                              (vla-get-activedocument
                                (vlax-get-acad-object)
                              )
                            )
                            LAYOUTNAME
                          ) 
                      )
          )
        )
    )
    LAYOUT
  ) 
)

------------------
- Thomas -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanW
Mitglied
Techniker


Sehen Sie sich das Profil von StefanW an!   Senden Sie eine Private Message an StefanW  Schreiben Sie einen Gästebucheintrag für StefanW

Beiträge: 146
Registriert: 17.04.2003

erstellt am: 27. Jul. 2004 15:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Thomas !

Das trifft den Nagel auf den Kopf !!

Besten Dank für den Tip (ist ja doch schon die fertige Lösung) !
BTWBy the way = Nebenbei bemerkt, wie kommt man an eine vernünftige und vollständige Doku zu den ActiveX-Funktionen in AutoLisp ?


Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 27. Jul. 2004 17:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für StefanW 10 Unities + Antwort hilfreich

Hi StefanW,
"wie kommt man an eine vernünftige und vollständige Doku zu den ActiveX-Funktionen in AutoLisp?"

AutoCAD Hilfe, Inhalt -> AutoCAD Online Handbücher -> AutoLISP, Visual LISP und DXF -> AutoLISP Reference -> ActiveX and VBA Reference -> Object Model und folgende...

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz